跳转到主要内容
系统管理/用户配置相关接口
PUTUser Configuration起始版本 4.10.0同步需要认证

更新账户组

更新账户组

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

请求参数

路径参数

  • uuidString必填

    账户组 UUID

请求体字段

  • updateaccountgroupObject必填

    updateaccountgroup 请求体结构

    • nameString

      账户组名称

    • descriptionString

      账户组的详细描述

  • systemTagsList

    系统标签

  • userTagsList

    用户标签

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • successboolean必填

    请求是否成功

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

请求地址

PUT/zstack/v1/account-groups/{uuid}/actions

/zstack/v1/account-groups/{uuid}/actions

操作 ID

UpdateAccountGroup

永久链接

请求示例

curl -X PUT 'http://{host}/zstack/v1/account-groups/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateaccountgroup":{"name":"<name>","description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

响应示例

200
{ "inventory": { "uuid": "14295ba5c00d4fc596541e3fb5652924", "name": "my-group", "description": "my-group-description", "rootGroupUuid": "14295ba5c00d4fc596541e3fb5652924", "createDate": "Nov 14, 2017 2:20:57 PM", "lastOpDate": "Nov 14, 2017 2:20:57 PM" } }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史